@import url('https://fonts.googleapis.com/css2?family=Antic+Slab&family=Convergence&display=swap');

:root {
  --main-logo-color: rgb(0, 85, 170);
  --main-bg-color: rgb(255, 255, 255);
  --secondary-bg-color: rgb(230, 230, 230);
  --main-dark-color: rgb(36, 36, 35);
  --overlay-color: rgba(36, 36, 35, 70%);
  --main-cta-color: rgb(112, 141, 129);
  --main-header-font: "Convergence", Arial, sans-serif;
  --main-body-font: "Antic Slab", Georgia, Times, serif;
  font-size: 62.5%;
}

body {
  font-family: var(--main-body-font);
  font-size: 1.6rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--main-header-font);
}

h2 {
  margin-top: 0;
}

h3 {
  font-size: 1.375em;
}

p {
  line-height: 1.3;
}

header {
  box-sizing: border-box;
  position: sticky;
  top: 0;
  width: 100%;
  display: flex;
  padding: 1rem 2rem;
  align-items: center;
  background-color: var(--secondary-bg-color);
  box-shadow: 0 0 .5rem rgba(0, 0, 0, .2), .2rem .4rem .5rem rgba(0, 0, 0, .4);
  z-index: 10000;
}

.header-image {
  padding-right: .5rem;
}

.navbar {
  display: flex;
  margin: 0;
  padding: 0;
  list-style: none;
}

.nav-link {
  text-decoration: none;
  display: block;
  padding: 0 5px;
}

.container {
  padding: 4rem 2rem;
}

.hero-block {
  width: 100%;
  height: 40vh;
  background-image: url('../images/ChurchChristmas.jpg');
  background-attachment: fixed;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.cover {
  width: 100%;
  height: 60%;
  padding: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  color: white;
  background-color: var(--overlay-color);
  backdrop-filter: blur(2px);
  
  transition: all .25s linear;
}

.page-title {
  margin: 0 0 2rem 0;
}

.page-subtitle {
  margin: 0;
}

.video-block {
  background-color: var(--main-bg-color);
}

.embed-block {
  position: relative;
  padding-bottom: 56.25%;
  height: 0;
  overflow: hidden;
  max-width: 100%;
}

.embed-block iframe,
.embed-block object,
.embed-block embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.pricing-block {
  background-color: var(--secondary-bg-color);
}

.card-holder {
  display: grid;
  grid-auto-rows: 1fr;
  gap: 2rem;
}

.card {
  background: var(--main-bg-color);
  box-sizing: border-box;
  text-decoration: none;
  box-shadow: 0 0 .5rem rgba(0, 0, 0, .1), .2rem .2rem .5rem rgba(0, 0, 0, .2);
  position: relative;
  top: 0;
  transition: all .1s ease-in;
}

.card:hover {
  top: -.2rem;
  box-shadow: 0 .1rem .5rem rgba(0, 0, 0, .2), .2rem .3rem .6rem rgba(0, 0, 0, .3);
}

.card-heading {
  background-color: var(--main-logo-color);
  color: var(--main-bg-color);
  display: flex;
  align-items: center;
  justify-content: center;
  height: 8rem;
}

.card-title {
  margin: 0;
}

.card-content {
  padding: 0 2rem 2rem 2rem;
}

.pricing-container {
  text-align: center;
  margin: 3rem 0;
}

.pricing-container .price {
  font-size: 2.25em;
  font-weight: bold;
  font-family: var(--main-header-font);
}

.card-data {
  list-style: none;
  margin: 0;
  padding: 0;
}

.data-item {
  text-align: center;
  border-top: 1px solid gray;
  padding: 2rem 1rem;
}

form {
  background-color: var(--main-bg-color);
  box-shadow: 0 0 .5rem rgba(0, 0, 0, .1), .2rem .2rem .5rem rgba(0, 0, 0, .2);
  padding: 1rem 1rem;
  display: flex;
  flex-direction: column;
  max-width: 38rem;
  margin: 2rem auto 0 auto;
}

form label {
  margin: 0 0 .5rem 0;
  padding: 0;
}

.form-input {
  padding: .75rem;
  margin-bottom: 1rem;

}

.form-submit {
  background-color: var(--main-cta-color);
  color: var(--main-bg-color);
  border: none;
  padding: .75rem 0;
  font-weight: bold;
}

@media only screen and (min-width: 25em) {
  .cover {
    width: 36rem;
  }
}
@media only screen and (min-width: 48em) {
  .cover {
    font-size: 2rem;
    width: 48rem;
  }
  .video-block {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 2rem
  }
  .story {
    grid-column: 1;
  }
  .embed-block{
    grid-column: 2;
  }
  .card-holder {
    grid-template-rows: 1fr;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
  }
}
@media only screen and (min-width: 75em) {
  .container {
    padding: 4rem calc(50% - 58rem);
  }
  header {
    padding: 1rem calc(50% - 58rem);
  }
}